## muffin 5.8.1

=== debian/changelog ===
muffin (5.8.1-1) experimental; urgency=medium

  * New upstream version 5.8.1
  * Update symbols
  * d/control:
    - build-dep on libgl-dev instead of transitional libgl1-mesa-dev
    - bump reverse deps breaks to 5.8
    - bump c-s-d and cinnamon-desktop build-deps/deps to 5.8

 -- Fabio Fantoni <fantonifabio@tiscali.it>  Fri, 14 Jul 2023 13:38:06 +0200
