## muffin 6.0.1

=== debian/changelog ===
muffin (6.0.1-2build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 08:08:33 +0000

muffin (6.0.1-2build1) noble; urgency=high

  * No change rebuild against libcanberra0t64.

 -- Julian Andres Klode <juliank@ubuntu.com>  Sun, 24 Mar 2024 16:24:07 +0100

muffin (6.0.1-2) experimental; urgency=medium

  * d/control: add build-dep to dpkg-dev >= 1.22.5

  [ Matthias Klose ]
  * Fix library name in symbols file.

 -- Fabio Fantoni <fantonifabio@tiscali.it>  Fri, 22 Mar 2024 19:20:33 +0100

muffin (6.0.1-1) experimental; urgency=medium

  * New upstream version 6.0.1
  * d/control:
    - bump deps and reverse deps breaks to 6.0
    - add build-deps and deps for wayland support
    - replace obsolete build-dep pkg-config with pkgconf
  * d/rules: add wayland support to configure parameters
  * Update symbols

 -- Fabio Fantoni <fantonifabio@tiscali.it>  Sun, 11 Feb 2024 15:17:22 +0100

muffin (5.8.1-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062963

 -- Benjamin Drung <bdrung@debian.org>  Wed, 28 Feb 2024 20:54:02 +0000

muffin (5.8.1-2.1~exp1) experimental; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.

 -- Graham Inggs <ginggs@debian.org>  Sun, 04 Feb 2024 07:58:23 +0000

muffin (5.8.1-2) unstable; urgency=medium

  * Release to unstable

 -- Fabio Fantoni <fantonifabio@tiscali.it>  Fri, 29 Sep 2023 13:36:34 +0200
