=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
-export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1
+export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,--as-needed
 
 %:
 	dh $@
@@ -25,7 +25,8 @@
 	-Dcore_tests=false \
 	-Dlibwacom=false \
 	-Dwayland=false \
-	-Dnative_backend=false
+	-Dnative_backend=false \
+	-Ddefault_driver=gl
 endif
 
 ifeq ($(DEB_HOST_ARCH),$(findstring $(DEB_HOST_ARCH),armel armhf))
@@ -92,3 +93,8 @@
 
 override_dh_shlibdeps:
 	dh_shlibdeps -Llibmuffin-0 -l/usr/lib/$(DEB_HOST_MULTIARCH)/muffin
+
+override_dh_strip:
+	dh_strip --dbg-package=muffin-dbg
+
+override_dh_dwz:
