## muffin 6.0.1+wilma

=== debian/changelog ===
muffin (6.0.1+wilma) virginia; urgency=medium

  [ Michael Webster ]
  * meta-compositor-x11.c: Don't disable fractional scaling when unredirecting a fullscreen window.

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 28 Dec 2023 11:53:02 +0000
