## muffin 6.2.0

=== debian/changelog ===
muffin (6.2.0-3) unstable; urgency=medium

  * d/rules: Don't test in alpha hppa powerpc sparc64 x32
  * Merge some improvements for tests from mutter packaging:
    - Remove test num processes configuration
    - Don't let log from flaky tests overwrite log from main tests
    - Disable gvfs when running unit tests
    - Explicitly set a screen size for xvfb-run
    - d/tests/ensure-x11-dir: Explicitly create /tmp/.X11-unix
    Thanks to Mutter package maintainers

 -- Fabio Fantoni <fantonifabio@tiscali.it>  Sat, 26 Oct 2024 20:48:22 +0200

muffin (6.2.0-2) unstable; urgency=medium

  * d/rules:
    - enable tests in configure, was disabled by default upstream
    - disable core tests part for now, needs fixes
  * Update symbols
  * d/gbp.conf: change debian-branch and upstream-branch to follow DEP14

 -- Fabio Fantoni <fantonifabio@tiscali.it>  Fri, 25 Oct 2024 20:50:47 +0200

muffin (6.2.0-1) unstable; urgency=medium

  * New upstream version 6.2.0 (Closes: #1075297)
  * update symbols
  * d/control: bump deps and reverse deps breaks to 6.2
  * Add d/README.source with a wiki link with details about packaging

 -- Fabio Fantoni <fantonifabio@tiscali.it>  Fri, 04 Oct 2024 19:04:42 +0200

muffin (6.0.1-3) unstable; urgency=medium

  * Release to unstable

 -- Fabio Fantoni <fantonifabio@tiscali.it>  Sun, 31 Mar 2024 19:13:16 +0200
