=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: muffin
 Section: x11
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Cinnamon Team <debian-cinnamon@lists.debian.org>
+Maintainer: Debian Cinnamon Team <debian-cinnamon@lists.debian.org>
 Uploaders:
  Maximiliano Curia <maxy@debian.org>,
  Margarita Manterola <marga@debian.org>,
@@ -13,8 +12,8 @@
 Build-Depends: dpkg-dev (>= 1.22.5),
  adwaita-icon-theme <!nocheck>,
  at-spi2-core <!nocheck>,
- cinnamon-desktop-data (>= 6.0),
- cinnamon-settings-daemon (>= 6.0) <!nocheck>,
+ cinnamon-desktop-data (>= 6.2),
+ cinnamon-settings-daemon (>= 6.2) <!nocheck>,
  dbus <!nocheck>,
  debhelper-compat (= 13),
  dh-sequence-gir,
@@ -24,7 +23,7 @@
  gtk-doc-tools,
  libcairo2-dev,
  libcanberra-gtk3-dev,
- libcinnamon-desktop-dev (>= 6.0),
+ libcinnamon-desktop-dev (>= 6.2),
  libdrm-dev [linux-any],
  libegl-dev,
  libegl1-mesa-dev [linux-any],
@@ -83,7 +82,7 @@
 Rules-Requires-Root: no
 Homepage: http://cinnamon.linuxmint.com/
 Vcs-Browser: https://salsa.debian.org/cinnamon-team/muffin
-Vcs-Git: https://salsa.debian.org/cinnamon-team/muffin.git -b experimental
+Vcs-Git: https://salsa.debian.org/cinnamon-team/muffin.git
 
 Package: gir1.2-meta-muffin-0.0
 Section: introspection
@@ -100,7 +99,7 @@
  .
  This package contains the GObject introspection data which may be
  used to generate dynamic bindings.
-Breaks: cinnamon (<< 6.0~), cinnamon-common (<< 6.0~)
+Breaks: cinnamon (<< 6.2~), cinnamon-common (<< 6.2~)
 
 Package: libmuffin-dev
 Section: libdevel
@@ -110,7 +109,7 @@
  gir1.2-meta-muffin-0.0 (= ${binary:Version}),
  libatk1.0-dev,
  libcairo2-dev,
- libcinnamon-desktop-dev (>= 6.0),
+ libcinnamon-desktop-dev (>= 6.2),
  libdrm-dev,
  libegl1-mesa-dev,
  libgdk-pixbuf-2.0-dev,
@@ -151,7 +150,7 @@
  muffin-common (>= ${source:Version}),
  ${misc:Depends},
  ${shlibs:Depends},
-Breaks: libmuffin0 (<< ${source:Version}), cinnamon (<< 6.0~), libmuffin-dev (<< 5.4.1-1~)
+Breaks: libmuffin0 (<< ${source:Version}), cinnamon (<< 6.2~), libmuffin-dev (<< 5.4.1-1~)
 Replaces: libmuffin0, libmuffin-dev (<< 5.4.1-1~)
 Description: window and compositing manager (shared library)
  Muffin is a window manager performing compositing as well based on
@@ -169,15 +168,15 @@
  ${misc:Depends},
  ${shlibs:Depends},
 Provides: x-window-manager
-Recommends: cinnamon-session (>= 6.0~) | x-session-manager
-Suggests: cinnamon-control-center (>= 6.0~), xdg-user-dirs
+Recommends: cinnamon-session (>= 6.2~) | x-session-manager
+Suggests: cinnamon-control-center (>= 6.2~), xdg-user-dirs
 Replaces: muffin-doc
 Description: window and compositing manager
  Muffin is a window manager performing compositing as well based on
  GTK+ and Clutter and used in Cinnamon desktop environment.
  .
  This package contains the core binaries.
-Breaks: cinnamon (<< 6.0~), cinnamon-core (<< 5.4~)
+Breaks: cinnamon (<< 6.2~), cinnamon-core (<< 5.4~)
 
 Package: muffin-common
 Section: misc
