## muffin 6.4.0+xia

=== debian/changelog ===
muffin (6.4.0+xia) xia; urgency=medium

  [ Michael Webster ]
  * window-x11.c: Handle a special case for sending a ConfigureNotify event.

  [ Leigh Scott ]
  * Change all g_memdup() to g_memdup2() (#699)

  [ Kevin Langman ]
  * Make clutter_offscreen_effect_get_target available to Cjs (#702)

  [ Rick Calixte ]
  * gir: Correct usage of the closure annotation (#704)

  [ AxeldeWater ]
  * Update README.md to mention the fact that Muffin is a fork of Mutter, instead of the default readme from Mutter (#697)

  [ jknockel ]
  * constraints: Allow resize of windows moved above screen (#696)

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 26 Nov 2024 12:49:42 +0000

muffin (6.2.0) wilma; urgency=medium

  [ Clement Lefebvre ]
  * packaging: Forbid compilation if the symbols file is outdated
  * packaging: Update symbols file

  [ Leigh Scott ]
  * Fix compile issue (#683)
  * build: Use Xwayland pkg-config if available (#682)

  [ Michael Webster ]
  * meta-input-settings-x11.c: Don't warn about receiving more values than expected from libinput.

  [ Rick Calixte ]
  * Fix segfault during Alt-Tab when window focus mode is either 'Sloppy' or 'Mouse' (gdb backtrace attached) (#680)

  [ jknockel ]
  * meta-crtc-xrandr.c: use nearest neighbor filter for integer randr scales (#692)
  * meta-monitor-manager-xrandr.c: DeleteMonitor before SetMonitor (#693)

  [ Jeffrey Knockel ]
  * meta-monitor-manager-xrandr.c: fix crtc disabling
  * meta-monitor-manager-xrandr.c: fix screen size
  * meta-monitor-manager-xrandr.c: screen size fixes

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 11 Jun 2024 17:06:29 +0100
