=== debian/changelog ===
muffin (6.4.1-1) unstable; urgency=medium

  * New upstream version 6.4.1
  * Merge some improvements for tests from mutter packaging:
    - d/rules: Only run the test-suite for architecture-specific builds
  * d/rules: disable tests in configure again, not maintained and not used
    upstream (Closes: #1088720)
  * Update symbols
  * d/control:
    - bump deps and reverse deps breaks to 6.4
    - replace old site in homepage with upstream repository
  * remove symbols of tests
  * Improve d/gbp.conf

 -- Fabio Fantoni <fantonifabio@tiscali.it>  Sun, 19 Jan 2025 17:44:19 +0100
