=== debian/control ===
--- 
+++ 
@@ -12,8 +12,8 @@
 Build-Depends: dpkg-dev (>= 1.22.5),
  adwaita-icon-theme <!nocheck>,
  at-spi2-core <!nocheck>,
- cinnamon-desktop-data (>= 6.2),
- cinnamon-settings-daemon (>= 6.2) <!nocheck>,
+ cinnamon-desktop-data (>= 6.4),
+ cinnamon-settings-daemon (>= 6.4) <!nocheck>,
  dbus <!nocheck>,
  debhelper-compat (= 13),
  dh-sequence-gir,
@@ -23,7 +23,7 @@
  gtk-doc-tools,
  libcairo2-dev,
  libcanberra-gtk3-dev,
- libcinnamon-desktop-dev (>= 6.2),
+ libcinnamon-desktop-dev (>= 6.4),
  libdrm-dev [linux-any],
  libegl-dev,
  libegl1-mesa-dev [linux-any],
@@ -80,7 +80,7 @@
  zenity,
 Standards-Version: 4.6.1
 Rules-Requires-Root: no
-Homepage: http://cinnamon.linuxmint.com/
+Homepage: https://github.com/linuxmint/muffin
 Vcs-Browser: https://salsa.debian.org/cinnamon-team/muffin
 Vcs-Git: https://salsa.debian.org/cinnamon-team/muffin.git
 
@@ -99,7 +99,7 @@
  .
  This package contains the GObject introspection data which may be
  used to generate dynamic bindings.
-Breaks: cinnamon (<< 6.2~), cinnamon-common (<< 6.2~)
+Breaks: cinnamon (<< 6.4~), cinnamon-common (<< 6.4~)
 
 Package: libmuffin-dev
 Section: libdevel
@@ -109,7 +109,7 @@
  gir1.2-meta-muffin-0.0 (= ${binary:Version}),
  libatk1.0-dev,
  libcairo2-dev,
- libcinnamon-desktop-dev (>= 6.2),
+ libcinnamon-desktop-dev (>= 6.4),
  libdrm-dev,
  libegl1-mesa-dev,
  libgdk-pixbuf-2.0-dev,
@@ -150,7 +150,7 @@
  muffin-common (>= ${source:Version}),
  ${misc:Depends},
  ${shlibs:Depends},
-Breaks: libmuffin0 (<< ${source:Version}), cinnamon (<< 6.2~), libmuffin-dev (<< 5.4.1-1~)
+Breaks: libmuffin0 (<< ${source:Version}), cinnamon (<< 6.4~), libmuffin-dev (<< 5.4.1-1~)
 Replaces: libmuffin0, libmuffin-dev (<< 5.4.1-1~)
 Description: window and compositing manager (shared library)
  Muffin is a window manager performing compositing as well based on
@@ -168,15 +168,15 @@
  ${misc:Depends},
  ${shlibs:Depends},
 Provides: x-window-manager
-Recommends: cinnamon-session (>= 6.2~) | x-session-manager
-Suggests: cinnamon-control-center (>= 6.2~), xdg-user-dirs
+Recommends: cinnamon-session (>= 6.4~) | x-session-manager
+Suggests: cinnamon-control-center (>= 6.4~), xdg-user-dirs
 Replaces: muffin-doc
 Description: window and compositing manager
  Muffin is a window manager performing compositing as well based on
  GTK+ and Clutter and used in Cinnamon desktop environment.
  .
  This package contains the core binaries.
-Breaks: cinnamon (<< 6.2~), cinnamon-core (<< 5.4~)
+Breaks: cinnamon (<< 6.4~), cinnamon-core (<< 5.4~)
 
 Package: muffin-common
 Section: misc
